<?php
include "../../config.php";
include 'Models/Exercise.php';

if (isset($_GET['token'])){
    $sql = "SELECT * FROM tokens INNER JOIN users ON users.id=tokens.user WHERE token=?";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(1, $_GET['token']);
    if ($stmt->execute()){
        if ($stmt->rowCount() == 1){
            $userData = $stmt->fetchAll(PDO::FETCH_ASSOC);
            $username = $userData[0]['username'];
            $userID = $userData[0]['user'];

            if(isset($_GET['workout'])){
                $sql = "SELECT exercises_in_workout.id, name, description, amount, type, unit FROM exercises_in_workout inner join workout_types on workout_types.id=exercises_in_workout.workout_type inner JOIN workout_type_measurements on workout_type_measurements.id=workout_types.measurement where exercises_in_workout.workout_routine=?";
                $stmt = $pdo->prepare($sql);
                $stmt->bindParam(1, $_GET['workout']);
                if ($stmt->execute()){
                    $exercises = $stmt->fetchAll(PDO::FETCH_ASSOC);
                    $returnExercises = array();
                    foreach($exercises as $exercise){

                        $returnExercises[] = new Exercise($exercise['id'], $exercise['name'], $exercise['description'], $exercise['amount'], $exercise['type'], $exercise['unit']);
                    }
                    header('Content-Type: application/json');
                    echo json_encode($returnExercises);
                }
            }elseif(isset($_GET['routine'])){
                $sql = "select * from current_routines inner join workout_routines on workout_routines.id=current_routines.workout_routine inner JOIN exercises_in_workout on exercises_in_workout.workout_routine=workout_routines.id inner join workout_types on workout_types.id=exercises_in_workout.workout_type inner join workout_type_measurements on workout_type_measurements.id=workout_types.measurement where current_routines.id=?";
                $stmt = $pdo->prepare($sql);
                $stmt->bindParam(1, $_GET['routine']);
                if ($stmt->execute()){
                    $exercises = $stmt->fetchAll(PDO::FETCH_ASSOC);
                    $exercisesList = array();
                    foreach ($exercises as $exercise){
                        $exercisesList[] = new Exercise($exercise['workout_type'], $exercise['name'], $exercise['description'], $exercise['amount'], $exercise['type'], $exercise['unit'], $exercise['measurement']);
                    }
                    echo '<pre>';
                    var_dump($exercises);
                    echo '</pre>';
                }
            }elseif(isset($_GET['startWorkout'])){
                $sql = "SELECT * FROM `workout_routines` inner join exercises_in_workout on exercises_in_workout.workout_routine=workout_routines.id inner join workout_types on workout_types.id=exercises_in_workout.workout_type where workout_routines.id=?";

            }else{

            }
        }else{
            var_dump($stmt->fetchAll(PDO::FETCH_ASSOC));
        }
    }else{
        var_dump($stmt->errorInfo());
    }

    //header('Content-Type: application/json');
}else{


}